(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import PropTypes from 'prop-types';
import { Provider } from 'react-redux';
import { hot } from 'react-hot-loader';

import AppRouter from './app/AppRouter';

var AppRoot = function AppRoot(_ref) {
  var store = _ref.store,
      browserHistory = _ref.browserHistory;
  return React.createElement(
    Provider,
    { store: store },
    React.createElement(AppRouter, { history: browserHistory })
  );
};

AppRoot.propTypes = {
  store: PropTypes.object.isRequired,
  browserHistory: PropTypes.object.isRequired
};

var _default = hot(module)(AppRoot);

export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(AppRoot, 'AppRoot', '/home/travis/build/bakdata/conquery/frontend/lib/js/AppRoot.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/AppRoot.js');
  leaveModule(module);
})();

;