(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import { Route, Switch, Router } from 'react-router';

import { Unauthorized, WithAuthToken } from '../authorization';

import App from './App';

var AppWithAuthToken = WithAuthToken(App);

var AppRouter = function AppRouter(props) {
  return React.createElement(
    Router,
    { history: props.history },
    React.createElement(
      Switch,
      null,
      React.createElement(Route, { path: '/unauthorized', component: Unauthorized }),
      React.createElement(Route, { path: '/*', component: AppWithAuthToken })
    )
  );
};

var _default = AppRouter;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(AppWithAuthToken, 'AppWithAuthToken', '/home/travis/build/bakdata/conquery/frontend/lib/js/app/AppRouter.js');
  reactHotLoader.register(AppRouter, 'AppRouter', '/home/travis/build/bakdata/conquery/frontend/lib/js/app/AppRouter.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/app/AppRouter.js');
  leaveModule(module);
})();

;