(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import { push } from 'react-router-redux';

export function createUnauthorizedErrorMiddleware() {
  return function (store) {
    return function (next) {
      return function (action) {
        if (action.payload && action.payload.status === 401) store.dispatch(push('/unauthorized'));

        return next(action);
      };
    };
  };
}
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(createUnauthorizedErrorMiddleware, 'createUnauthorizedErrorMiddleware', '/home/travis/build/bakdata/conquery/frontend/lib/js/authorization/middleware.js');
  leaveModule(module);
})();

;