(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';

import { getStoredAuthToken } from '../authorization';

var DownloadButton = function DownloadButton(props) {
  var authToken = getStoredAuthToken();

  var href = props.url + '?access_token=' + encodeURIComponent(authToken || '');

  return React.createElement(
    'a',
    {
      href: href,
      className: props.className
    },
    React.createElement('i', {
      className: 'fa fa-download'
    }),
    ' ',
    props.label
  );
};

var _default = DownloadButton;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(DownloadButton, 'DownloadButton', '/home/travis/build/bakdata/conquery/frontend/lib/js/button/DownloadButton.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/button/DownloadButton.js');
  leaveModule(module);
})();

;