(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import classnames from 'classnames';

// A button that is prefixed by an icon
var IconButton = function IconButton(_ref) {
  var onClick = _ref.onClick,
      label = _ref.label,
      className = _ref.className,
      iconClassName = _ref.iconClassName,
      disabled = _ref.disabled;
  return React.createElement(
    'button',
    {
      type: 'button',
      className: classnames('btn', className),
      onClick: onClick,
      disabled: disabled
    },
    React.createElement('i', { className: classnames('fa', iconClassName) }),
    '  ',
    label
  );
};

var _default = IconButton;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(IconButton, 'IconButton', '/home/travis/build/bakdata/conquery/frontend/lib/js/button/IconButton.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/button/IconButton.js');
  leaveModule(module);
})();

;