(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

var environment = null;

export var initializeEnvironment = function initializeEnvironment(env) {
  environment = env;
};

export var apiUrl = function apiUrl() {
  return environment ? environment.apiUrl : "";
};
export var basename = function basename() {
  return environment ? environment.basename : "";
};
export var isProduction = function isProduction() {
  return environment ? environment.isProduction : true;
};
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(environment, "environment", "/home/travis/build/bakdata/conquery/frontend/lib/js/environment/index.js");
  reactHotLoader.register(initializeEnvironment, "initializeEnvironment", "/home/travis/build/bakdata/conquery/frontend/lib/js/environment/index.js");
  reactHotLoader.register(apiUrl, "apiUrl", "/home/travis/build/bakdata/conquery/frontend/lib/js/environment/index.js");
  reactHotLoader.register(basename, "basename", "/home/travis/build/bakdata/conquery/frontend/lib/js/environment/index.js");
  reactHotLoader.register(isProduction, "isProduction", "/home/travis/build/bakdata/conquery/frontend/lib/js/environment/index.js");
  leaveModule(module);
})();

;