(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import classnames from 'classnames';
import T from 'i18n-react';


var TabNavigation = function TabNavigation(props) {
  return React.createElement(
    'div',
    { className: 'tab-navigation' },
    Object.values(props.tabs).map(function (_ref) {
      var label = _ref.label,
          key = _ref.key;
      return React.createElement(
        'h2',
        {
          key: key,
          className: classnames('tab-navigation__tab', {
            'tab-navigation__tab--active': props.activeTab === key
          }),
          onClick: function onClick() {
            if (key !== props.activeTab) props.onClickTab(key);
          }
        },
        T.translate(label)
      );
    })
  );
};

var _default = TabNavigation;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(TabNavigation, 'TabNavigation', '/home/travis/build/bakdata/conquery/frontend/lib/js/pane/TabNavigation.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/pane/TabNavigation.js');
  leaveModule(module);
})();

;