(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';

import { QueryGroupModal } from '../query-group-modal';
import UploadConceptListModal from '../upload-concept-list-modal/UploadConceptListModal';


import Query from './Query';
import StandardQueryNodeEditor from './StandardQueryNodeEditor';

export var QueryEditor = function QueryEditor(props) {
  return React.createElement(
    'div',
    { className: 'query-editor' },
    React.createElement(Query, { selectedDatasetId: props.selectedDatasetId }),
    React.createElement(StandardQueryNodeEditor, { datasetId: props.selectedDatasetId }),
    React.createElement(UploadConceptListModal, { selectedDatasetId: props.selectedDatasetId }),
    React.createElement(QueryGroupModal, null)
  );
};
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(QueryEditor, 'QueryEditor', '/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/QueryEditor.js');
  leaveModule(module);
})();

;