var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import { LOAD_CONFIG_START, LOAD_CONFIG_ERROR, LOAD_CONFIG_SUCCESS } from "./actionTypes";

var initialState = {
  loading: false,
  error: null,
  config: {}
};

var startup = function startup() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments[1];

  switch (action.type) {
    case LOAD_CONFIG_START:
      return _extends({}, state, {
        loading: true
      });
    case LOAD_CONFIG_ERROR:
      return _extends({}, state, {
        loading: false,
        error: action.payload.message
      });
    case LOAD_CONFIG_SUCCESS:
      return _extends({}, state, {
        loading: false,
        config: action.payload.data
      });
    default:
      return state;
  }
};

var _default = startup;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(initialState, "initialState", "/home/travis/build/bakdata/conquery/frontend/lib/js/startup/reducer.js");
  reactHotLoader.register(startup, "startup", "/home/travis/build/bakdata/conquery/frontend/lib/js/startup/reducer.js");
  reactHotLoader.register(_default, "default", "/home/travis/build/bakdata/conquery/frontend/lib/js/startup/reducer.js");
  leaveModule(module);
})();

;