(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import { TOGGLE_DISPLAY_TOOLTIP, DISPLAY_ADDITIONAL_INFOS, TOGGLE_ADDITIONAL_INFOS } from './actionTypes';

export var displayAdditionalInfos = function displayAdditionalInfos(node) {
  return {
    type: DISPLAY_ADDITIONAL_INFOS,
    payload: {
      additionalInfos: {
        label: node.label,
        description: node.description,
        matchingEntries: node.matchingEntries,
        dateRange: node.dateRange,
        infos: node.additionalInfos
      }
    }
  };
};

export var toggleAdditionalInfos = function toggleAdditionalInfos() {
  return { type: TOGGLE_ADDITIONAL_INFOS };
};
export var toggleDisplayTooltip = function toggleDisplayTooltip() {
  return { type: TOGGLE_DISPLAY_TOOLTIP };
};
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(displayAdditionalInfos, 'displayAdditionalInfos', '/home/travis/build/bakdata/conquery/frontend/lib/js/tooltip/actions.js');
  reactHotLoader.register(toggleAdditionalInfos, 'toggleAdditionalInfos', '/home/travis/build/bakdata/conquery/frontend/lib/js/tooltip/actions.js');
  reactHotLoader.register(toggleDisplayTooltip, 'toggleDisplayTooltip', '/home/travis/build/bakdata/conquery/frontend/lib/js/tooltip/actions.js');
  leaveModule(module);
})();

;