(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

var localStorage = window.localStorage;

export var getStoredAuthToken = function getStoredAuthToken() {
  return localStorage.getItem('authToken');
};

export var storeAuthToken = function storeAuthToken(token) {
  localStorage.setItem('authToken', token);
};

export var deleteStoredAuthToken = function deleteStoredAuthToken() {
  localStorage.removeItem('authToken');
};
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(localStorage, 'localStorage', '/home/travis/build/bakdata/conquery/frontend/lib/js/authorization/helper.js');
  reactHotLoader.register(getStoredAuthToken, 'getStoredAuthToken', '/home/travis/build/bakdata/conquery/frontend/lib/js/authorization/helper.js');
  reactHotLoader.register(storeAuthToken, 'storeAuthToken', '/home/travis/build/bakdata/conquery/frontend/lib/js/authorization/helper.js');
  reactHotLoader.register(deleteStoredAuthToken, 'deleteStoredAuthToken', '/home/travis/build/bakdata/conquery/frontend/lib/js/authorization/helper.js');
  leaveModule(module);
})();

;