var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

export var defaultError = function defaultError(type, error, payload) {
  return {
    type: type,
    error: true,
    payload: _extends({
      message: error.message
    }, payload)
  };
};

export var defaultSuccess = function defaultSuccess(type, results, payload) {
  return {
    type: type,
    payload: _extends({
      data: results,
      receivedAt: Date.now()
    }, payload)
  };
};
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(defaultError, "defaultError", "/home/travis/build/bakdata/conquery/frontend/lib/js/common/actions/genericActions.js");
  reactHotLoader.register(defaultSuccess, "defaultSuccess", "/home/travis/build/bakdata/conquery/frontend/lib/js/common/actions/genericActions.js");
  leaveModule(module);
})();

;