(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

export var BEFORE = 'BEFORE';
export var BEFORE_OR_SAME = 'BEFORE_OR_SAME';
export var SAME = 'SAME';
export var DAYS_BEFORE = 'DAYS_BEFORE';
export var DAYS_OR_NO_EVENT_BEFORE = 'DAYS_OR_NO_EVENT_BEFORE';

export var TIMEBASED_OPERATOR_TYPES = {
  BEFORE: BEFORE,
  BEFORE_OR_SAME: BEFORE_OR_SAME,
  SAME: SAME,
  DAYS_BEFORE: DAYS_BEFORE,
  DAYS_OR_NO_EVENT_BEFORE: DAYS_OR_NO_EVENT_BEFORE
};
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(BEFORE, 'BEFORE', '/home/travis/build/bakdata/conquery/frontend/lib/js/common/constants/timebasedQueryOperatorTypes.js');
  reactHotLoader.register(BEFORE_OR_SAME, 'BEFORE_OR_SAME', '/home/travis/build/bakdata/conquery/frontend/lib/js/common/constants/timebasedQueryOperatorTypes.js');
  reactHotLoader.register(SAME, 'SAME', '/home/travis/build/bakdata/conquery/frontend/lib/js/common/constants/timebasedQueryOperatorTypes.js');
  reactHotLoader.register(DAYS_BEFORE, 'DAYS_BEFORE', '/home/travis/build/bakdata/conquery/frontend/lib/js/common/constants/timebasedQueryOperatorTypes.js');
  reactHotLoader.register(DAYS_OR_NO_EVENT_BEFORE, 'DAYS_OR_NO_EVENT_BEFORE', '/home/travis/build/bakdata/conquery/frontend/lib/js/common/constants/timebasedQueryOperatorTypes.js');
  reactHotLoader.register(TIMEBASED_OPERATOR_TYPES, 'TIMEBASED_OPERATOR_TYPES', '/home/travis/build/bakdata/conquery/frontend/lib/js/common/constants/timebasedQueryOperatorTypes.js');
  leaveModule(module);
})();

;