var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import { DropTarget } from 'react-dnd';
import classnames from 'classnames';

// Decorates a Component with a Dropzone
// Then, the component is replaced with a Dropzone until "containsItem" is true
var Dropzone = function Dropzone(Component, acceptedDropTypes, onDrop) {
  var dropzoneTarget = { drop: onDrop };

  var collect = function collect(connect, monitor) {
    return {
      connectDropTarget: connect.dropTarget(),
      isOver: monitor.isOver()
    };
  };

  var Zone = function (_React$Component) {
    _inherits(Zone, _React$Component);

    function Zone() {
      _classCallCheck(this, Zone);

      return _possibleConstructorReturn(this, (Zone.__proto__ || Object.getPrototypeOf(Zone)).apply(this, arguments));
    }

    _createClass(Zone, [{
      key: 'render',
      value: function render() {
        var _props = this.props,
            className = _props.className,
            isOver = _props.isOver,
            connectDropTarget = _props.connectDropTarget,
            dropzoneText = _props.dropzoneText,
            containsItem = _props.containsItem;


        if (containsItem) return Component;

        return connectDropTarget(React.createElement(
          'div',
          { className: classnames('dropzone', {
              'dropzone--over': isOver
            }, className) },
          React.createElement(
            'p',
            { className: 'dropzone__text' },
            dropzoneText
          )
        ));
      }
    }, {
      key: '__reactstandin__regenerateByEval',
      value: function __reactstandin__regenerateByEval(key, code) {
        this[key] = eval(code);
      }
    }]);

    return Zone;
  }(React.Component);

  return DropTarget(acceptedDropTypes, dropzoneTarget, collect)(Zone);
};

var _default = Dropzone;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(Dropzone, 'Dropzone', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/Dropzone.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/Dropzone.js');
  leaveModule(module);
})();

;