(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import InfoTooltip from '../tooltip/InfoTooltip';

var InputRangeHeader = function InputRangeHeader(_ref) {
  var label = _ref.label,
      unit = _ref.unit,
      className = _ref.className,
      tooltip = _ref.tooltip;

  return React.createElement(
    'p',
    { className: className },
    label,
    unit && ' ( ' + unit + ' )',
    tooltip && React.createElement(InfoTooltip, { text: tooltip })
  );
};

var _default = InputRangeHeader;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(InputRangeHeader, 'InputRangeHeader', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/InputRangeHeader.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/InputRangeHeader.js');
  leaveModule(module);
})();

;