var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import T from 'i18n-react';

import { CloseIconButton } from '../button';

var Modal = function (_React$Component) {
  _inherits(Modal, _React$Component);

  function Modal(props) {
    _classCallCheck(this, Modal);

    var _this = _possibleConstructorReturn(this, (Modal.__proto__ || Object.getPrototypeOf(Modal)).call(this, props));

    _this.boundKeyUpHandler = _this._onKeyUp.bind(_this);
    return _this;
  }

  _createClass(Modal, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      window.addEventListener('keyup', this.boundKeyUpHandler);
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      window.removeEventListener('keyup', this.boundKeyUpHandler);
    }
  }, {
    key: '_onKeyUp',
    value: function _onKeyUp(e) {
      switch (e.keyCode) {
        case 27:
          // Esc key
          this.props.closeModal();
          break;
        default:
          break;
      }
    }
  }, {
    key: '_closeMaybe',
    value: function _closeMaybe(e) {
      if (e.nativeEvent.target.className.indexOf('modal__center') !== -1) this.props.closeModal();
    }
  }, {
    key: 'render',
    value: function render() {
      var closeButton = this.props.doneButton ? React.createElement(
        'button',
        {
          type: 'button',
          className: 'modal__close-button btn btn--transparent btn--small',
          onClick: this.props.closeModal,
          tabIndex: this.props.tabIndex || 0
        },
        T.translate('common.done')
      ) : React.createElement(CloseIconButton, {
        className: 'modal__close-button',
        onClick: this.props.closeModal
      });

      return React.createElement(
        'div',
        { className: 'modal', onClick: this._closeMaybe.bind(this) },
        React.createElement(
          'div',
          { className: 'modal__center' },
          React.createElement(
            'div',
            { className: 'modal__content' },
            closeButton,
            this.props.children
          )
        )
      );
    }
  }, {
    key: '__reactstandin__regenerateByEval',
    value: function __reactstandin__regenerateByEval(key, code) {
      this[key] = eval(code);
    }
  }]);

  return Modal;
}(React.Component);

var _default = Modal;


export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(Modal, 'Modal', '/home/travis/build/bakdata/conquery/frontend/lib/js/modal/Modal.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/modal/Modal.js');
  leaveModule(module);
})();

;