(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';

import { connect } from 'react-redux';

import { clickPaneTab as _clickPaneTab } from './actions';


import TabNavigation from './TabNavigation';

var PaneTabNavigation = function PaneTabNavigation(props) {
  return React.createElement(
    'div',
    { className: 'pane-tab-navigation' },
    React.createElement(TabNavigation, {
      onClickTab: props.clickPaneTab,
      activeTab: props.activeTab,
      tabs: props.tabs
    })
  );
};

var mapStateToProps = function mapStateToProps(state, ownProps) {
  return {
    tabs: state.panes[ownProps.paneType].tabs,
    activeTab: state.panes[ownProps.paneType].activeTab
  };
};

var mapDispatchToProps = function mapDispatchToProps(dispatch, ownProps) {
  return {
    clickPaneTab: function clickPaneTab(tab) {
      return dispatch(_clickPaneTab(ownProps.paneType, tab));
    }
  };
};

var _default = connect(mapStateToProps, mapDispatchToProps)(PaneTabNavigation);

export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(PaneTabNavigation, 'PaneTabNavigation', '/home/travis/build/bakdata/conquery/frontend/lib/js/pane/PaneTabNavigation.js');
  reactHotLoader.register(mapStateToProps, 'mapStateToProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/pane/PaneTabNavigation.js');
  reactHotLoader.register(mapDispatchToProps, 'mapDispatchToProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/pane/PaneTabNavigation.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/pane/PaneTabNavigation.js');
  leaveModule(module);
})();

;