(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import { connect } from 'react-redux';

import { SearchBox } from '../../form-components';
import { updatePreviousQueriesSearch } from './actions';

var mapStateToProps = function mapStateToProps(state) {
  return {
    search: state.previousQueriesSearch,
    options: state.previousQueries.names
  };
};

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    onSearch: function onSearch(values) {
      return dispatch(updatePreviousQueriesSearch(values));
    }
  };
};

var _default = connect(mapStateToProps, mapDispatchToProps)(SearchBox);

export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(mapStateToProps, 'mapStateToProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/search/PreviousQueriesSearchBox.js');
  reactHotLoader.register(mapDispatchToProps, 'mapDispatchToProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/search/PreviousQueriesSearchBox.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/search/PreviousQueriesSearchBox.js');
  leaveModule(module);
})();

;