var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import { OPEN_UPLOAD_MODAL, CLOSE_UPLOAD_MODAL, UPLOAD_FILE_START, UPLOAD_FILE_SUCCESS, UPLOAD_FILE_ERROR } from './actionTypes';

var initialState = {
  isModalOpen: false,
  isLoading: false,
  success: null,
  error: null
};

var queryResultUpload = function queryResultUpload() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments[1];

  switch (action.type) {
    case OPEN_UPLOAD_MODAL:
      return _extends({}, state, { isModalOpen: true, loading: false, success: null, error: null });
    case CLOSE_UPLOAD_MODAL:
      return initialState;
    case UPLOAD_FILE_START:
      return _extends({}, state, { loading: true, success: null, error: null });
    case UPLOAD_FILE_SUCCESS:
      return _extends({}, state, { loading: false, success: action.payload.data });
    case UPLOAD_FILE_ERROR:
      return _extends({}, state, { loading: false, error: action.payload });
    default:
      return state;
  }
};

var _default = queryResultUpload;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(initialState, 'initialState', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/upload/reducer.js');
  reactHotLoader.register(queryResultUpload, 'queryResultUpload', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/upload/reducer.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/upload/reducer.js');
  leaveModule(module);
})();

;