var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import { QUERY_GROUP_MODAL_SET_NODE, QUERY_GROUP_MODAL_CLEAR_NODE } from './actionTypes';

var initialState = {};

var queryGroupModal = function queryGroupModal() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments[1];

  switch (action.type) {
    case QUERY_GROUP_MODAL_SET_NODE:
      return _extends({}, state, {
        andIdx: action.payload.andIdx
      });
    case QUERY_GROUP_MODAL_CLEAR_NODE:
      return _extends({}, state, { andIdx: undefined });
    default:
      return state;
  }
};

var _default = queryGroupModal;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(initialState, 'initialState', '/home/travis/build/bakdata/conquery/frontend/lib/js/query-group-modal/reducer.js');
  reactHotLoader.register(queryGroupModal, 'queryGroupModal', '/home/travis/build/bakdata/conquery/frontend/lib/js/query-group-modal/reducer.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/query-group-modal/reducer.js');
  leaveModule(module);
})();

;