(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

export var templates = {
  toDataset: "/dataset/:datasetId",
  toQuery: "/dataset/:datasetId/query/:queryId"
};

export var toDataset = function toDataset(datasetId) {
  return "/dataset/" + datasetId;
};

export var toQuery = function toQuery(datasetId, queryId) {
  return "/dataset/" + datasetId + "/query/" + queryId;
};
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(templates, "templates", "/home/travis/build/bakdata/conquery/frontend/lib/js/routes/index.js");
  reactHotLoader.register(toDataset, "toDataset", "/home/travis/build/bakdata/conquery/frontend/lib/js/routes/index.js");
  reactHotLoader.register(toQuery, "toQuery", "/home/travis/build/bakdata/conquery/frontend/lib/js/routes/index.js");
  leaveModule(module);
})();

;